using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace takmicenje208
{
    internal class Program
    {
        static void Main(string[] args)
        {

            string[] ab = Console.ReadLine().Split();
            int a = Convert.ToInt32(ab[0]);
            int b = Convert.ToInt32(ab[1]);

            string[] xy = Console.ReadLine().Split();
            int x = Convert.ToInt32(xy[0]);
            int y = Convert.ToInt32(xy[1]);

            

            if (x == a && y == b)
            {
                Console.WriteLine("nijedan");
            }
            else if (x == a && y < b)
            {
                Console.WriteLine("drugi");
            }
            else if (x < a && y == b)
            {
                Console.WriteLine("prvi");
            }
            else if (x < a && y < b)
            {
                Console.WriteLine("?");
            }



            
        }
    }
}